SessionsSession Details

Session Details

Get detailed information for a specific session

curl -X GET "https://api.nexus.usehardal.com/analytics/sessions/details?timezone=example_string&targetSignalId=example_string&limit=example_string&offset=example_string&interval=minute&sessionId=example_string&timeframe=today&startDate=example_string&endDate=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY"
{}
GET
/analytics/sessions/details
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: Authorization)
Authorizationstring
Required

API key (sent in header)

query
timezonestring

Timezone for date filtering (default: Europe/Istanbul)

query
targetSignalIdstring

Target signal ID for comparison

query
limitstring

Number of records to return for raw events (default: 20, max: 1000)

query
offsetstring

Number of records to skip for raw events pagination (default: 0)

query
intervalstring

Interval for time series aggregation (minute, hour, day, week, month)

Options: minute, hour, day, week, month
query
sessionIdstring

Session ID to filter events for session details

query
timeframestring

Timeframe for the query

Options: today, yesterday, last7days, last30days, custom
query
startDatestring

Start date (YYYY-MM-DD)

query
endDatestring

End date (YYYY-MM-DD)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

API Key for authentication. Provide your API key in the header.

Query Parameters

timezonestring

Timezone for date filtering (default: Europe/Istanbul)

targetSignalIdstring

Target signal ID for comparison

limitstring

Number of records to return for raw events (default: 20, max: 1000)

offsetstring

Number of records to skip for raw events pagination (default: 0)

intervalstring

Interval for time series aggregation (minute, hour, day, week, month)

Allowed values:minutehourdayweekmonth
sessionIdstring

Session ID to filter events for session details

timeframestring

Timeframe for the query

Allowed values:todayyesterdaylast7dayslast30dayscustom
startDatestring

Start date (YYYY-MM-DD)

endDatestring

End date (YYYY-MM-DD)

Responses

200 response